﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using WpkgUtilities;

namespace WpkgNotifier
{
    public partial class StatusDialog : Form
    {
        public event EventHandler SyncButtonClicked;
        public event EventHandler QueryButtonClicked;
        public StatusDialog()
        {
            InitializeComponent();
        }

        private void CloseButton_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void SyncButton_Click(object sender, EventArgs e)
        {
            var handler = SyncButtonClicked;
            if(handler != null)
            {
                handler(this, e);
            }
        }

        private void queryButton_Click(object sender, EventArgs e)
        {
            var handler = QueryButtonClicked;
            if (handler != null)
            {
                handler(this, e);
            }
        }
        internal void BindQueryResult(WpkgQueryResult result)
        {
            pendingChangesTextBox.DataBindings.Add("Text", result, "StatusText", false, DataSourceUpdateMode.OnPropertyChanged, "Nothing found");
        }

    }
}
